Skip to content
Kumquat
Esc
↑↓navigate↵open⌘Jpreview

List Audit Logs

Newest first. Narrow by entity, actor, action or time window; combine freely.

GET/api/v1/audit-logs
Authorization
AuthorizationBearer token · headerrequired
or
AuthorizationOAuth2 access token · headerrequired
Query parameters
entity_typestring | any
e.g. "task", "product", "user"
entity_idstring | any
Stringified — ids are not uniform across collections
actor_idstring | any
Clerk user id of whoever acted
actionstring | any
e.g. "task.status_changed"
sincestring<date-time> | any
untilstring<date-time> | any
limitinteger
min 1 · max 100 · default: 50
offsetinteger
min 0 · default: 0
Responses
200Successful Response
successboolean
default: true
dataAuditLogsList | any
Show properties
Any of:
AuditLogsList
logsAuditLog[]required
Show properties
Array of AuditLog
idstring
atstring<date-time>
actionstringrequired
entity_typestringrequired
entity_idstringrequired
actor_idstring | any
Show properties
Any of:
string
string
any
any
actor_kindActorKind
Allowed:usersystemwebhookcli
sourceAuditSource
Allowed:apiworkerwebhookcli
request_idstring | any
Show properties
Any of:
string
string
any
any
changesobject | any
Show properties
Any of:
object
object
any
any
metadataobject | any
Show properties
Any of:
object
object
any
any
metaPaginationMetarequired
Show properties
totalintegerrequired
limitintegerrequired
offsetintegerrequired
any
any
messagestring | any
Show properties
Any of:
string
string
any
any
errorsstring[] | any
Show properties
Any of:
string[]
Array of string
string
any
any
422Validation Error
detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X GET "/api/v1/audit-logs" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "success": true,
  "data": {
    "logs": [
      {
        "id": "string",
        "at": "2019-08-24T14:15:22Z",
        "action": "string",
        "entity_type": "string",
        "entity_id": "string",
        "actor_id": "string",
        "actor_kind": "user",
        "source": "api",
        "request_id": "string",
        "changes": {},
        "metadata": {}
      }
    ],
    "meta": {
      "total": 0,
      "limit": 0,
      "offset": 0
    }
  },
  "message": "string",
  "errors": [
    "string"
  ]
}